@import "../../colors.scss";

.main {
  background-color: $secondary;
  height: 100px;
  min-height: 100px;
  width: 100%;
  display: grid;
  grid-template-rows: 1fr 1fr;
}

.connectionIndicator {
  height: 10px;
  width: 10px;
  border-radius: 50%;
}

.online {
  background-color: $green;
}

.offline {
  background-color: $red;
}

.userNameWrapper {
  display: flex;
  column-gap: 5px;
  align-items: center;
}

.bottomBar {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
}

.notificationWrapper {
  width: 100%;
  height: 100%;
  flex-grow: 1;
  display: flex;
  justify-content: center;
  align-items: center;

  .notification {
    display: flex;
    column-gap: 10px;
    align-items: center;
    color: $green;
    cursor: pointer;
    animation: flashAnimation 2s infinite;

    .notificationDelete {
      height: 15px;
      width: 15px;
      &:hover path {
        fill: $green;
      }
    }

    &:hover {
      animation: none;
    }
  }
}

@keyframes flashAnimation {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.pages {
  height: 100%;
  display: flex;
  flex-direction: row;
  flex-shrink: 1;
}

.page {
  padding: 0 15px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  border: none;
  outline: none;
  background-color: transparent;
  color: $white;
  font-family: "JetBrainsMono-Regular", monospace;
  font-size: 1rem;

  &:hover {
    color: $green;
  }
}

.pageActive {
  background-color: $primary;
}

.userBar {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0 15px;
  justify-content: space-between;
}

.userName {
  span {
    opacity: 0.5;
  }
}

.logout {
  background-color: transparent;
  border: none;
  cursor: pointer;
  outline: none;
  svg {
    height: 20px;
    width: auto;
    fill: $white;

    &:hover {
      fill: $green;
    }
  }
}
